### Method

# Manette MonitorIter next

#### Declaration [src]

    gboolean
    manette_monitor_iter_next (
      ManetteMonitorIter* self,
      ManetteDevice** device
    )

#### Description [src]

Gets the next device from `self`.

#### Parameters

`device`

  Type: `ManetteDevice`

  Return location for the device.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

Whether the next device was retrieved, if not, the end was reached.